File metadata
POST
/v1/workspaces/{workspace_id}/fs/_/stat
const url = 'https://app.everruns.com/api/v1/workspaces/example/fs/_/stat';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"path":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/workspaces/example/fs/_/stat \ --header 'Content-Type: application/json' \ --data '{ "path": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspace_id
required
string
Workspace ID (wsp_<32-hex>)
Request Body required
Section titled “Request Body required ” Media type application/json
object
path
required
string
Example generated
{ "path": "example"}Responses
Section titled “ Responses ”File metadata
Media type application/json
File stat information
object
created_at
required
Timestamp when this entry was created (RFC 3339).
string format: date-time
is_directory
required
true when this entry represents a directory.
boolean
is_readonly
required
Whether the entry is read-only.
boolean
name
required
File or directory name (last segment of path).
string
path
required
Absolute path within the session workspace.
string
size_bytes
required
File size in bytes. 0 for directories.
integer format: int64
updated_at
required
Timestamp when this entry was last updated (RFC 3339).
string format: date-time
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "is_directory": true, "is_readonly": true, "name": "example", "path": "example", "size_bytes": 1, "updated_at": "2026-04-15T12:00:00Z"}Not found
Internal server error